Internet Explorer (IE) Version 9 -- DO NOT INSTALL

Please do not install IE version 9 on your JLab-CUE Windows systems.  This version doesn't work with the timesheet system and possibly other MIS applications.  We will let you know when you may proceed with this update.